package com.jiayue.ipp.idp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jiayue.ipp.common.data.entity.DqIntervene;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * idp_inverter_info
 *
 * @author whc
 * @date 2022-03-18 15:49:11
 */
@Mapper
public interface DqInterveneMapper extends BaseMapper<DqIntervene> {
    @Delete("delete from idp_dq_intervene WHERE forecast_time>=#{startTime} and forecast_time<=#{endTime} and station_code=#{stationCode}")
    void deleteShort(@Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("stationCode") String stationCode);
}
