package com.jiayue.ipp.idp.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.DqIntervene;
import com.jiayue.ipp.idp.dto.DqInterveneDto;

import java.util.Date;
import java.util.List;


/**
 * idp_inverter_info
 *
 * @author whc
 * @date 2022-03-18 15:49:11
 */
public interface DqInterveneService extends IService<DqIntervene> {
    /**
     * 获取短期干预
     * @return
     */
    List<DqInterveneDto> getShort(Long startTime, Long endTime,String stationCode);
    /**
     * 时间段删除短期干预
     * @param startTime
     * @param endTime
     */
    void deleteShort(Date startTime, Date endTime,String stationCode);
}
