package com.jiayue.ipp.idp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jiayue.ipp.common.data.entity.SysParameter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * idp_sys_parameter
 *
 * @author whc
 * @date 2022-03-18 15:49:37
 */
@Mapper
public interface SysParameterMapper extends BaseMapper<SysParameter> {
    @Select("SELECT t.* FROM idp_sys_parameter t WHERE t.sys_key=#{sysKey}")
    public SysParameter findBySysKeyEquals(@Param("sysKey") String sysKey);
}
